Subject: bug#41005: problem with rendering Persian text in Emacs 27

From: Nicholas Drozd <[email-masked]>
Date: Wed, 3 Jun 2020 12:24:30 -0500

Not certain, but this sounds like it could be related to bug#37683
[1]. That report was closed because it does not seem to be an EWW
problem, but the issue still shows up for me.

To recap, the problem there is that Arabic script letters, which are
typically joined together in a cursive style, show up separated and
unconnected, if and only if text scaling is at zero. If the text is
made larger or smaller, the text becomes properly joined. This leads
me to suspect that it is not a Harfbuzz issue, because the text is
displayed correctly under some conditions but not under others.

[1] https://lists.gnu.org/archive/html/bug-gnu-emacs/2019-10/msg00921.html